# The MEME Suite

## Motif-based sequence analysis tools

## fitevd

### Usage:

`fitevd <query length> [options]`

### Description

fitevd fits an extreme value distribution to a set of score-length pairs.

The outer loop alternates between estimating lambda and K with H fixed and estimating H with lambda and K fixed. The inner loop is the Newton-Raphson algorithm, which is used for solving the estimation problems.

### Input

Reads white-space separated score-length pairs from standard input.

#### Query Length

The query length.

### Output

Writes the EVD parameters to standard output.

### Options

Option | Parameter | Description | Default Behaviour
--- | --- | --- | ---
General Options
-d | smin smax | Print length vs p-value for smin ≤ score ≤ smax. |
-h | H | Initial value of H. | H is set to 1.0 .
-ilh | ilh | Maximum iterations in outer L-H loop. | The maximum iterations in outer L-H loop is 10.
-inr | inr | Maximum iterations in inner N-R loop. | The maximum iterations in inner N-R loop is 20.
-lr | lr | Minimum ratio of shortest to longest in group. | The minimum ratio of shortest to longest in the group is 1.50.
-p |  | Print p-values. | The p-values are not printed.
-r | n | Use n randomly selected scores. | All are used.
-s | s | Size of length groups. | The size of length groups is 10,000.
-t |  | Turn on debug tracing. | Debug tracing is not on.